GET
https://api.breeze.blue/v1/history/{history_item_id}Get a history item
Get a history item by ID.
Authentication
API key: Send your Breeze Developer API key with the xi-api-key header.
Headers
| Field | Type | Description |
|---|---|---|
xi-api-keyrequired | string | Your Breeze Developer API key. See authentication. |
Path parameters
| Field | Type | Description |
|---|---|---|
history_item_idrequired | string | History item identifier returned by generation responses or GET /v1/history. |
Example request
python
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
item = client.history.get("hist_01haudio")
print(item["history_item_id"], item["text"])
typescript
import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const item = await client.history.get("hist_01haudio");
console.log(item.historyItemId, item.text);
curl
curl "https://api.breeze.blue/v1/history/hist_01haudio" \
-H "xi-api-key: $BREEZE_API_KEY"
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
item = client.history.get("hist_01haudio")
print(item["history_item_id"], item["text"])Response
History item.
Content types: application/json
Response headers:
x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
"history_item_id": "hist_01haudio",
"voice_id": "voc_xeh3w54cqvnp",
"voice_name": "Example",
"voice_category": "string",
"model_id": "model_id_01h",
"text": "Hello from Breeze Blue.",
"source": "string",
"state": "string",
"content_type": "audio/mpeg",
"date_unix": 1,
"request_id": "request_id_01h",
"latency_ms": 1,
"http_status": 200,
"billable_units": 1,
"cost": 0.128,
"cost_millicredits": 1
}Errors
RESOURCE_NOT_FOUND— The history_item_id does not exist or is not accessible.
See the full list on errors.